Использовать 7.0 у брокеров где 6.хх

Страницы: 1
RSS
Использовать 7.0 у брокеров где 6.хх, Каковы риски, что может поломаться?
 
В общем у моего брокера старый квик и в техпотдержке сказали что на новый переходить когда будут не знают, полгода год может больше. Но мне удобней новый, из за API 64бит, ОИ в ленте и тп. Поставил 7ку официальную дему, скопировал  info.ini wnd и боевые ключи  и всё нормально заработало, получал данные, отсылал ордера на боевом счету, на первый взгляд не было недоразумений. Сообщил это брокеру, там сказали что это на собственный страх и риск, если что то поломается то они не смогут помочь и тд.

Вопрос: Каковы риски такого использования quik ? Что может поломаться и с какой вероятностью если использовать на реале?
 
Насколько я знаю, возможность использования терминала 7-й версии завязана на то, использует ли брокер сервер Quik соответствующей версии (5-й, кажется).

Поскольку Вы попробовали и терминал 7-й версии заработал, то у брокера сервер его поддерживает.

Опыт показывает, что при выходе новой мажорной версии терминала, первые релизы сырые в том смысле, что присутствуют некоторые проблемы и ошибки (см. форум по этому поводу). Поэтому брокеры перестраховываются, чтобы клиенты потом не жаловались, что присутствуют проблемы и ошибки. Например, мой брокер пока не рекомендует использование новой версии терминала, но уже кажется, что скоро 7-й терминал будет рабочим.

В любом случае, надо проверять, корректно ли работают Ваши скрипты, т.к. в 7-й версии есть некоторые нововведения, которые заставляют изменять логику в некоторых местах кода роботов. Поскольку у каждого свои роботы, то у одного может всё работать без проблем, а у другого пойдут сбои. Конкретно мне пришлось бороться с тем, что события о сделках стали приходить в нескольких экземплярах.

В общем, проверьте логику работы, торгуя одним контрактом Сбербанка, чтобы сильно не влететь, если что-то пойдёт не так. Если работает несколько дней без проблем, то можно начинать более серьёзную торговлю.
 
А что за ошибка "Неверная версия протокола"?
У брокера сервер QUIK ниже версии 5.0?
 
по подробней
 
Цитата
bondar пишет:
Поставил 7ку официальную дему, скопировалinfo.ini wnd и боевые ключии всё нормально заработало
с файлом info.wnd - надо быть по-осторожней. Это файл сериализации оконных настроек/параметров. В разных версиях квика, а также ОС - он может себя вести - невсегда адекватно.
<я им говорил - но им нас..рать>
 
Цитата
_sk_ пишет:
В общем, проверьте логику работы, торгуя одним контрактом Сбербанка, чтобы сильно не влететь, если что-то пойдёт не так. Если работает несколько дней без проблем, то можно начинать более серьёзную торговлю.
Спасибо, так и поступлю.
Цитата
тот самый пишет:
с файлом info.wnd - надо быть по-осторожней. Это файл сериализации оконных настроек/параметров. В разных версиях квика, а также ОС - он может себя вести - невсегда адекватно.
<я им говорил - но им нас..рать>
Благодарю что напомнили, с wnd действительно неудобства есть, но я так понял в текстовом(xml, json…) формате его делать почему то не собираются, так что приходится пока страдать, но спасибо хотя бы за 64битную API, кое какой прогресс
 
Цитата
bondar пишет:
В общем у моего брокера старый квик и в техпотдержке сказали что на новый переходить когда будут не знают, полгода год может больше. Но мне удобней новый, из за API 64бит, ОИ в ленте и тп. Поставил 7ку официальную дему, скопировал info.ini wnd и боевые ключи и всё нормально заработало, получал данные, отсылал ордера на боевом счету, на первый взгляд не было недоразумений. Сообщил это брокеру, там сказали что это на собственный страх и риск, если что то поломается то они не смогут помочь и тд.

Вопрос: Каковы риски такого использования quik ? Что может поломаться и с какой вероятностью если использовать на реале?
Добрый день.

Описанная Вами ситуация означает, что у брокера установлен сервер 5.0 или новее.

Пользоваться можно без ограничений.
 
Цитата
Старатель пишет:
А что за ошибка "Неверная версия протокола"?
У брокера сервер QUIK ниже версии 5.0?
Добрый день.

Ваша интуиция Вас не подводит.
 
Цитата
Alexey Ivannikov пишет:
Пользоваться можно без ограничений.
Спасибо, уже пользуюсь, вроде всё ок.
Страницы: 1
Читают тему (гостей: 1)
Наверх